org.thewonderlemming.c4plantuml.testbed.mojo

## Class NoLogReportingMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo
    - - org.thewonderlemming.c4plantuml.mojo.ReportingMojo
      - - org.thewonderlemming.c4plantuml.testbed.mojo.NoLogReportingMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      public class NoLogReportingMojo
      extends ReportingMojo

  A version of the `ReportingMojo` that plugs the logger system on SLF4J to avoid spamming the test outputs.
  Author:
    thewonderlemming

- - ### Field Summary

    - ### Fields inherited from class org.thewonderlemming.c4plantuml.mojo.ReportingMojo

      `FAIL_ON_PARSE_ERRORS_DEFAULT_VALUE, FORMAT_OUTPUT_DEFAULT_VALUE, OUTPUT_FILENAME_DEFAULT_VALUE`

    - ### Fields inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `DEFAULT_SOURCE_FILE_EXTENSION`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoLogReportingMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.maven.plugin.logging.Log` | `getLog()` Returns a SLF4J implementation of the `Log` instance.

    - ### Methods inherited from class org.thewonderlemming.c4plantuml.mojo.ReportingMojo

      `doExecute`

    - ### Methods inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `execute, getCurrentCharset, getOutputDirectory, getProject, getSourceFileExtension, processOutputDirectoryFiles, validateSourceFileExtension`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoLogReportingMojo

          public NoLogReportingMojo()

  - ### Method Detail

    - #### getLog

          public org.apache.maven.plugin.logging.Log getLog()

      Returns a SLF4J implementation of the `Log` instance.

      Specified by:
        `getLog` in interface `org.apache.maven.plugin.Mojo`
      Overrides:
        `getLog` in class `org.apache.maven.plugin.AbstractMojo`

Copyright © 2020. All rights reserved.